package com.ruoyi.ehsDocTransfer.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.ehsDocTransfer.domain.EhsDocTransfer;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 公文流转Mapper接口
 *
 * @author ruoyi
 * @date 2023-12-07
 */
public interface EhsDocTransferMapper extends BaseMapper<EhsDocTransfer> {
    /**
     * 查询公文流转
     *
     * @param id 公文流转主键
     * @return 公文流转
     */
    public EhsDocTransfer selectEhsDocTransferById(Long id);

    /**
     * 查询公文流转列表
     *
     * @param ehsDocTransfer 公文流转
     * @return 公文流转集合
     */
    public List<EhsDocTransfer> selectEhsDocTransferList(EhsDocTransfer ehsDocTransfer);

    /**
     * 根据公文id获取公文流转信息
     */
    List<EhsDocTransfer> getTransferInfoByDocId(@Param("id") Long id);

    /**
     * 删除公文同时,删除该公文的流转记录
     * @param documentIds
     * @return
     */
    int removeByDocumentIds(List<Long> documentIds);
}
