package com.ruoyi.ehsRescueTeamWorker.domain;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 应急救援队人员信息对象 ehs_rescue_team_worker
 *
 * @author ruoyi
 * @date 2023-12-11
 */
@Data
@ToString
@NoArgsConstructor
@Accessors(chain = true)
@TableName("ehs_rescue_team_worker")
public class EhsRescueTeamWorker extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 应急救援队伍id
     */
    // @Excel(name = "应急救援队伍id")
    private Long rescueTeamId;

    /**
     * 应急救援队伍名称
     */
    @Excel(name = "应急救援队伍名称", type = Excel.Type.EXPORT)
    private String rescueTeamName;

    /** 队伍负责人 */
    @TableField(exist = false)
    @Excel(name = "负责人")
    private String dutyer;

    /**
     * 人员姓名
     */
    @Excel(name = "人员姓名")
    private String workerName;

    /** 年龄 */
    @Excel(name = "年龄")
    private Integer workerAge;

    /**
     * 性别
     */
    @Excel(name = "性别", dictType = "sys_user_sex")
    private Integer gender;


    /**
     * 身份证号
     */
    @Excel(name = "身份证号")
    private String idCard;

    /**
     * 联系方式
     */
    @Excel(name = "联系方式")
    private String phone;
    @Excel(name = "地址")
    private String address;

    /** 队内职务 */
    @Excel(name = "队内职务")
    private String teamPost;

    /**
     * 工作年限
     */
    @Excel(name = "工作年限")
    private String workYear;

    /**
     * 救援技能特长
     */
    @Excel(name = "救援技能特长")
    private String speciality;

    /** 培训次数 */
    @Excel(name = "培训次数")
    private Integer trainNum;

}
